db_configuration Struct Reference

`#include <db_configuration.h>`

## Data Fields

db_configuration_t * | next
char * | name
char * | value

## Detailed Description

A database configuration represented by a key and value.

Definition at line 41 of file db_configuration.h.

## Field Documentation

## name

char* db_configuration::name

Definition at line 43 of file db_configuration.h.

Referenced by db_configuration_free(), db_configuration_list_find(), db_configuration_not_empty(), and db_configuration_set_name().

## next

db_configuration_t* db_configuration::next

Definition at line 42 of file db_configuration.h.

Referenced by db_configuration_list_add(), and db_configuration_list_find().

## value

char* db_configuration::value

Definition at line 44 of file db_configuration.h.

Referenced by db_configuration_free(), db_configuration_not_empty(), db_configuration_set_value(), and db_configuration_value().

The documentation for this struct was generated from the following file:

- src/db/db_configuration.h